require 'logger'


# Serves as a wrapper and configurator of a Logger instance 
class LoggerWrapper

  @@logger = nil
  
  # Lazily creates an instance and configures it
  def self.instance()
    if ( ! @@logger )
      @@logger = Logger.new( STDOUT )
      @@logger.level = Logger::INFO
      @@logger.formatter = proc do | severity, datetime, progname, msg |
        "#{datetime} - #{progname} - #{severity} : #{msg}\n"
      end
    end
    
    @@logger
  end
  
  # Can set the Level from outside
  def self.setLevel( level )
    self.instance().level = level
  end
  
end